8.3PackageReference依赖项版本

1.添加 PackageReference

在项目文件中使用以下语法添加依赖项:

<ItemGroup>
    <!-- ... -->
    <PackageReference Include="Contoso.Utility.UsefulStuff" Version="3.6.0" />
    <!-- ... -->
</ItemGroup>

2.版本范围

引用包依赖项时,NuGet 支持使用间隔表示法来指定版本范围,汇总如下:

Notation应用的规则说明
1.0x ≥ 1.0最低版本(包含)
(1.0,)x > 1.0最低版本(独占)
[1.0]x == 1.0精确的版本匹配
(,1.0]x ≤ 1.0最高版本(包含)
(,1.0)x < 1.0最高版本(独占)
[1.0,2.0]1.0 ≤ x ≤ 2.0精确范围(包含)
(1.0,2.0)1.0 < x < 2.0精确范围(独占)
[1.0,2.0)1.0 ≤ x < 2.0混合了最低版本(包含)和最高版本(独占)
(1.0)无效无效

原创文章,作者:huoxiaoqiang,如若转载,请注明出处:https://www.huoxiaoqiang.com/back/csharp/7836.html

发表评论

登录后才能评论